<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.iformall.mapper.WxWiwideInfoMapper">
    <resultMap id="BaseResultMap" type="com.iformall.domain.po.WxWiWideInfo">
        <id column="id" jdbcType="BIGINT" property="id"/>
        <result column="tenant_id" jdbcType="VARCHAR" property="tenantId"/>
        <result column="wiwide_id" jdbcType="VARCHAR" property="wiwideId"/>
        <result column="wiwide_key" jdbcType="VARCHAR" property="wiwideKey"/>
        <result column="wiwide_url" jdbcType="VARCHAR" property="wiwideUrl"/>
        <result column="token" jdbcType="VARCHAR" property="token"/>
        <result column="expired_time" jdbcType="TIMESTAMP" property="expiredTime"/>
        <result column="capability" jdbcType="VARCHAR" property="capability"/>
    </resultMap>

    <sql id="allColumns">
	    `id`,`tenant_id`,`wiwide_id`,`wiwide_key`,`wiwide_url`, `token`,`expired_time`,`capability`
	</sql>

    <sql id="dynamicWhereConditions">
        where 1 = 1

        <if test=" null != id ">
            and `id` = #{id}
        </if>

        <if test=" null != tenantId ">
            and `tenant_id` = #{tenantId}
        </if>

        <if test=" null != wiwideId ">
            and `wiwide_id` like concat('%', #{wiwideId},'%')
        </if>
        <if test=" null != ids ">
            and id in
            <foreach collection="ids" index="index" item="idItem" open="(" separator="," close=")">
                #{idItem}
            </foreach>
        </if>
        <if test=" null != sortColumns">order by ${sortColumns}</if>
    </sql>

    <select id="findList" parameterType="com.iformall.domain.po.WxWiWideInfo" resultMap="BaseResultMap">
        select
        <include refid="allColumns"/>
        from wx_wiwide_info
        <include refid="dynamicWhereConditions"/>
    </select>

    <update id="updateToken" parameterType="com.iformall.domain.po.WxWiWideInfo">
		update wx_wiwide_info set token=#{token},expired_time=#{expiredTime} where id=#{id}
	</update>


</mapper>
